Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.bootstrap.basic
Class BasicBootstrap

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.bootstrap.AbstractBootstrap
                  org.jboss.kernel.plugins.bootstrap.basic.BasicBootstrap

All Implemented Interfaces:
  KernelEventEmitter, KernelObject, Runnable

Direct Known Subclasses:
  StandaloneBootstrap

public class BasicBootstrap
extends AbstractBootstrap

Bootstrap the kernel.

Version:
  $Revision: 1.6 $
Author:
  Adrian Brock, Les A. Hazlewood

Field Summary

Fields inherited from class org.jboss.kernel.plugins.bootstrap.AbstractBootstrap
`config, kernel`

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Constructor Summary
`BasicBootstrap()` Constructs a new Bootstrap which constructs a Kernel based on the system properties.
`BasicBootstrap(KernelConfig config)` Constructs a new Bootstrap which constructs a Kernel based

Method Summary
`static void` | `main(String[] args)` Bootstrap the kernel from the command line

Methods inherited from class org.jboss.kernel.plugins.bootstrap.AbstractBootstrap
`bootstrap, getConfig, getKernel, run, setConfig`

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`setKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Constructor Detail

### BasicBootstrap

    public BasicBootstrap()
                   throws Exception

  Constructs a new Bootstrap which constructs a Kernel based on the system properties.

Throws:
  `Exception`

### BasicBootstrap

    public BasicBootstrap(KernelConfig config)
                   throws Exception

  Constructs a new Bootstrap which constructs a Kernel based

Parameters:
  `config` - the configure
Throws:
  `Exception` - for any error

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Bootstrap the kernel from the command line

  Parameters:
    `args` - the command line arguments
  Throws:
    `Exception` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.